Sign In

Upgrade your browser

Are you using Internet Explorer (IE) 8 or older?

The new cma.ca will not function properly in IE8 or older. 

To achieve the best possible experience, install the latest version of Internet Explorer, Chrome, Safari or Firefox. 

Why upgrade your browser?

  • reduce security and functional issues
  • improve privacy settings
  • support new technologies